%define anolis_release 1

Name:           libcacard
Version:        2.8.1
Release:        %{anolis_release}%{?dist}
Summary:        CAC (Common Access Card) library
License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/spice/libcacard
Source0:        http://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
Epoch:          3

BuildRequires:  gcc
BuildRequires:  glib2-devel
BuildRequires:  nss-devel
BuildRequires:  gnutls-utils
BuildRequires:  nss-tools
BuildRequires:  openssl
BuildRequires:  meson
BuildRequires:  gcc-c++
BuildRequires:  pcsc-lite-devel
Conflicts:      qemu-common < 2:2.5.0

%description
This library provides emulation of smart cards to a virtual card
reader running in a guest virtual machine.

It implements DoD CAC standard with separate pki containers
(compatible coolkey), using certificates read from NSS.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVR}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
Doc files for %{name}

%prep
%setup -q

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install
%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libcacard.so.*
%dir %{abidir}
%{abidir}/*.dump

%files devel
%{_includedir}/cacard
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%files doc
%doc NEWS README.md

%changelog
* Wed Mar 15 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3:2.8.1-1
- init from upstream
